Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.core
Interface IJavaInterfaceType

All Superinterfaces:
  IJavaReferenceType, IJavaType

public interface IJavaInterfaceType
extends IJavaReferenceType

An interface an object implements on a Java debug target.

Clients are not intended to implement this interface.

Since:
  2.0
See Also:
  `IJavaValue`

Method Summary
`IJavaClassType[]` | `getImplementors()` Returns the class objects associated with the implementors of this interface type.
`IJavaInterfaceType[]` | `getSubInterfaces()` Returns the interface objects associated with the sub-interfaces of this interface type.
`IJavaInterfaceType[]` | `getSuperInterfaces()` Returns the interface objects associated with the super-interfaces of this interface type.

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaReferenceType
`getAllFieldNames, getAvailableStrata, getClassObject, getDeclaredFieldNames, getDefaultStratum, getField`

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaType
`getName, getSignature`

Method Detail

### getImplementors

    public IJavaClassType[] getImplementors()
                                     throws DebugException

  Returns the class objects associated with the implementors of this interface type. Returns an empty array if there are none.

  Returns:
    the class objects associated with the implementors of this interface type
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.
  Since:
    3.0

### getSubInterfaces

    public IJavaInterfaceType[] getSubInterfaces()
                                          throws DebugException

  Returns the interface objects associated with the sub-interfaces of this interface type. Returns an empty array if there are none. The sub-interfaces are those interfaces that directly extend this interface, that is, those interfaces that declared this interface in their `extends` clause.

  Returns:
    the interface objects associated with the sub-interfaces of this interface type
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.
  Since:
    3.0

### getSuperInterfaces

    public IJavaInterfaceType[] getSuperInterfaces()
                                            throws DebugException

  Returns the interface objects associated with the super-interfaces of this interface type. Returns an empty array if there are none. The super-interfaces are those interfaces that are directly extended by this interface, that is, those interfaces that this interface declared to be extended.

  Returns:
    the interface objects associated with the super-interfaces of this interface type
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.